---
updatedAt: 2026-09-29T06:20:42.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Get API health status

# Overview

Use this method to check the operational status of the API.

<Callout icon="👍" theme="okay">
  ### Tip

  You can also check our uptime history and the current service status on the <Anchor target="_blank" href="https://status.sumsub.com/">Sumsub Status</Anchor> page.
</Callout>

# Required permissions

To use this method, no particular [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions) is required on the [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) — a valid API token is sufficient.

# Errors

We return standard <Anchor target="_blank" href="https://en.wikipedia.org/wiki/List_of_HTTP_status_codes">HTTP status codes</Anchor>.

<Callout icon="📘" theme="info">
  ### Note

  - We have a limit for the API requests that you can send. If there are too many requests from you, we will return a status code of `429`. Notify our team if you have to make a vast amount of requests during a particular time frame.
  - If you still do not understand what the issue is, contact us and provide the `correlationId`.
</Callout>

The response body contains a JSON payload with the additional information.

```json
{
  "description": "Error analyzing file, unsupported format or corrupted file",
  "code": 400,
  "correlationId": "req-5fd59b09-7f5e-41cd-a86b-38a4e6d57e08",
  "errorCode": 1004, // may be absent
  "errorName": "corrupted-file" // may be absent
}
```

| Name            | Type    | Optional | Description                                                                      |
| --------------- | ------- | -------- | -------------------------------------------------------------------------------- |
| `description`   | String  | No       | Error description.                                                               |
| `code`          | Integer | No       | HTTP status code.                                                                |
| `correlationId` | String  | No       | Identifies the error. Send this ID to us if the cause of the problem is unclear. |
| `errorCode`     | Integer | Yes      | Error code. May not be present for some errors.                                  |
| `errorName`     | String  | Yes      | String representation of the error. Displayed when `errorCode` is present.       |

# Error codes

<Callout icon="📘" theme="info">
  ### Note

  Not all error responses will contain the error code and name. More and more errors will get their codes in the future.

  For a more comprehensive list of error codes, see the dedicated [Error codes](https://docs.sumsub.com/sumsub/reference/error-codes-description) article.
</Callout>

| Code | Name                                     | Description                                                                                                                           |
| ---- | ---------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| 1000 | `duplicate-document`                     | Duplicate document (image, video) was uploaded. Exact equality is taken into account.                                                 |
| 1001 | `too-many-documents`                     | Applicant contains too many documents. Adding new is not allowed.                                                                     |
| 1002 | `file-too-big`                           | Uploaded file is too big (more than 64MB).                                                                                            |
| 1003 | `empty-file`                             | Uploaded file is empty (0 bytes).                                                                                                     |
| 1004 | `corrupted-file`                         | File is corrupted or of incorrect format (for example, PDF file is uploaded as JPEG).                                                 |
| 1005 | `unsupported-file-format`                | Unsupported file format (for example, a TIFF image).                                                                                  |
| 1006 | `no-upload-verification-in-progress`     | Applicant is being checked. Adding new data is not allowed.                                                                           |
| 1007 | `incorrect-file-size`                    | The file size must meet the file upload requirements specified in the [global settings](https://docs.sumsub.com/sumsub/docs/applicants#configure-applicant-settings). |
| 1008 | `applicant-marked-as-deleted`            | Applicant is marked as [deleted/inactive](https://docs.sumsub.com/sumsub/docs/manage-results#make-profile-inactive). No action is allowed to change the status.       |
| 1009 | `applicant-with-final-reject`            | Applicant is rejected with the `FINAL` rejection type. Adding new data/files is not allowed.                                          |
| 1010 | `doc-type-not-in-req-docs`               | Attempt to upload a document outside of the applicant level set or set of required documents.                                         |
| 1011 | `encrypted-file`                         | Attempt to open an encrypted file.                                                                                                    |
| 3000 | `applicant-is-already-in-the-state`      | Attempt to change the status of the applicant against the logic — the applicant is already in the required state.                     |
| 4000 | `app-token-invalid-format`               | Invalid format of the `X-App-Token` value.                                                                                            |
| 4001 | `app-token-not-found`                    | App token does not exist (for example, test env. token used on production).                                                           |
| 4002 | `app-token-private-part-mismatch`        | Private part of the token (after dot) does not match public part.                                                                     |
| 4003 | `app-token-signature mismatch`           | Signature encoded value does not match the request content.                                                                           |
| 4004 | `app-token-request-expired`              | `X-App-Access-Ts` does not match the number of seconds since Unix Epoch in UTC.                                                       |
| 4005 | `app-token-invalid-value`                | Invalid authentication header values were provided.                                                                                   |
| 4006 | `app-token-not-all-auth-params-provided` | Not all required authorization headers were provided.                                                                                 |
| 4007 | `app-token-invalid-params`               | Invalid authentication parameters were provided.                                                                                      |
| 5000 | `applicant-already-blacklisted`          | Attempt to blocklist the applicant that is already blocked in your [Client lists](https://docs.sumsub.com/sumsub/docs/client-lists).                                  |
| 5001 | `applicant-already-whitelisted`          | Attempt to whitelist the applicant that is already whitelisted.                                                                       |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/status/api": {
      "get": {
        "summary": "Get API health status",
        "description": "",
        "operationId": "review-api-health"
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```